Subject: Re: bug#6555: stat enhancement

From: A Burgie <[email-masked]>
Date: Mon, 5 Jul 2010 07:33:03 -0600

On Mon, Jul 5, 2010 at 06:48, Jim Meyering <[email-masked]> wrote:
>> The idea seems sensible.
>
> I think so, too.
> However, the patch that adds the option would do well to add
> a test that exercises it and to mention it in the NEWS file.
> Your change will qualify as "significant".
> Can you file a copyright assignment?  Here are guidelines:
>
>    http://git.savannah.gnu.org/cgit/coreutils.git/tree/HACKING#n327

I was wondering if that would apply, but I did not think it would as
it was not really my own code (I copied from previously-GPL'd code and
only, perhaps, added three or four lines of my own).  Please confirm
if I am mistaken on this.

>> Using df on a file _is_ a little unintuitive,
>> and also parsing the output from df is awkward.
>>
>> You copied (while re-indenting with non GNU options)
>> the find_mount_point() function from df.c to stat.c
>> We'll have to refactor that out for both to use
>> (if indeed it's the best method to use which I've not
>> looked into at this stage).
>
> Yes, it has to be factored out.
> I haven't looked either, yet ;-)

I should have noticed the spacing issue.  I'll send a new DIFF file
here shortly with the fix and also with the NEWS stuff if I can figure
that out.  Test cases I know almost nothing about, but I'll check
there too and hopefully have a worthwhile addition.

Thank-you for the feedback,
AB